# Interface LocationInfoJson

Defines how location information will be retrieved from a CSV file referenced through the web.

See https://developers.arcgis.com/web-map-specification/objects/locationInfo/ https://developers.arcgis.com/web-scene-specification/objects/locationInfo/.

interface LocationInfoJson {
latitudeFieldName?: string;
locationType?: string;
longitudeFieldName?: string;
}

#####
Index

### Properties

latitudeFieldName?
locationType?
longitudeFieldName?

##
Properties

### `Optional` latitudeFieldName

latitudeFieldName?: string

A string defining the field name that holds the latitude (Y) coordinate.

### `Optional` locationType

locationType?: string

A string whose value is always "coordinates".

### `Optional` longitudeFieldName

longitudeFieldName?: string

A string defining the field name that holds the longitude (X) coordinate.